org.richfaces.renderkit

## Class DropTargetRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.DnDRenderBase
      - - org.richfaces.renderkit.DropTargetRenderer

-     public class DropTargetRenderer
      extends DnDRenderBase

  Author:
    abelevich

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropTargetRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DnDScript` | `createScript(String name)`
    `protected void` | `doDecode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
    `Map<String,Object>` | `getOptions(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `String` | `getScriptName()`

    - ### Methods inherited from class org.richfaces.renderkit.DnDRenderBase

      `buildAndStoreScript, doEncodeEnd, getParentClientId`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DropTargetRenderer

          public DropTargetRenderer()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext facesContext,
                      javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `RendererBase.decode(FacesContext, UIComponent)` method.
      Overrides:
        `doDecode` in class `RendererBase`

    - #### createScript

          public DnDScript createScript(String name)

      Specified by:
        `createScript` in class `DnDRenderBase`

    - #### getOptions

          public Map<String,Object> getOptions(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)

      Specified by:
        `getOptions` in class `DnDRenderBase`

    - #### getScriptName

          public String getScriptName()

      Specified by:
        `getScriptName` in class `DnDRenderBase`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.